import 'package:colorize_logger/colorize_logger.dart';

class Logger {
  static LoggerClient? _client;

  static set client(LoggerClient client) {
    _client = client;
  }

  static bool isReleaseMode() {
    return const bool.fromEnvironment('dart.vm.product', defaultValue: false);
  }

  static debug(String message, {String? tag}) {
    if(!isReleaseMode()) {
      _client?.info(message, tag: '[DEBUG] $tag : ');
    }
  }

  static info(String message, {String? tag}) {
    _client?.info(message, tag: tag);
  }

  static warning(String message, {String? tag}) {
    _client?.warning(message, tag: tag);
  }

  static error(dynamic exception, {dynamic stacktrace, String? tag}) {
    _client?.error(exception, stacktrace: stacktrace, tag: tag);
  }

  static fatal(String message, {String? tag}) {
    _client?.fatal(message, tag: tag);
  }
}
